package com.ym.mec.web.service;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.dto.StudentFeeDto;
import com.ym.mec.web.dal.entity.StudentRegistration;
import com.ym.mec.web.dal.page.StudentApplyDetailQueryInfo;
import com.ym.mec.web.dal.page.StudentRegistrationQueryInfo;
import com.ym.mec.web.dal.dto.StudentApplyDetailDto;

import java.util.HashMap;
import java.util.List;

public interface StudentRegistrationService extends BaseService<Long, StudentRegistration> {

    /**
     * 获取乐团学员报名详情
     * @param queryInfo
     * @return
     */
    PageInfo<StudentApplyDetailDto> queryStudentDetailPage(StudentRegistrationQueryInfo queryInfo);

    /**
     * 批量调剂
     * @param userId
     * @param subId
     * @return
     */
    boolean batchUpdateSubject(String userId, Integer subId);

    /**
     * 学生报名缴费金额详情
     * @param studentId
     * @param musicGroupId
     * @return
     */
    StudentFeeDto queryFeeDetail(Integer studentId,String musicGroupId);
}